{
  services.gitea = {
    enable = true;
    appName = "Bill's Gitea server, hosted on Linode using NixOS";
    settings = {
      server = {
        DOMAIN = "git.ewanick.com";
        ROOT_URL = "https://git.ewanick.com/";
        HTTP_PORT = 3000;
      };
      service = {
        DISABLE_REGISTRATION = true;
      };
    };
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "git.ewanick.com" = {
        extraConfig = ''
          reverse_proxy localhost:3000
        '';
      };
    };
  };
}
